import { useState } from 'preact/hooks'

export const LoginPage = () => {
    const [username, setUsername] = useState('')

    const login = async () => {
        await fetch(`/api/login`, {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json',
            },
            body: JSON.stringify({
                username,
            }),
        })

        location.href = '/#/'
    }

    return (
        <main class="login">
            <div class="logo">PHC / Problemi</div>
            <div class="subtitle">Accedi</div>

            <div class="form">
                <label for="login-username">Username</label>
                <input
                    id="login-username"
                    type="text"
                    value={username}
                    onInput={e => setUsername(e.target.value)}
                />

                <div class="fill">
                    <button onClick={() => login()}>Accedi</button>
                </div>
            </div>
        </main>
    )
}
