import path from 'path'
import fs from 'fs/promises'

import { createServer as createViteServer } from 'vite'
import express from 'express'

const CONSTANTS = {
    MODE_DEVELOPMENT: 'development',
}

async function createDevelopmentServer(app) {
    const vite = await createViteServer({
        server: { middlewareMode: true },
        appType: 'custom',
    })

    app.use(vite.middlewares)

    app.use('*', async (req, res) => {
        // serve index.html
        const indexHtml = await fs.readFile(path.resolve('./client/index.html'), 'utf-8')
        const transformedIndexHtml = vite.transformIndexHtml(req.originalUrl, indexHtml)
    })
}

function createProductionServer() {
    app.use('/', express.static('client/dist'))
}

const app = express()
